Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225624

Summary: Merge Review: booty
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: pjones, redhat-bugzilla, susi.lehtola
Target Milestone: ---Flags: roozbeh: fedora-review-
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-29 21:13:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nobody's working on this, feel free to take it 2007-01-31 17:46:51 UTC
Fedora Merge Review: booty

http://cvs.fedora.redhat.com/viewcvs/devel/booty/
Initial Owner: pjones@redhat.com

Comment 1 Roozbeh Pournader 2007-02-05 15:49:02 UTC
rpmlint output:
  RPM:
W: booty summary-not-capitalized simple python bootloader config lib
W: booty no-url-tag
E: booty only-non-binary-in-usr-lib
E: booty non-executable-script /usr/lib/booty/checkbootloader.py 0644
E: booty non-executable-script /usr/lib/booty/lilo.py 0644
E: booty non-executable-script /usr/lib/booty/grubupdatetest.py 0644
  SRPM:
W: booty summary-not-capitalized simple python bootloader config lib
W: booty no-url-tag
E: booty hardcoded-library-path in /usr/lib/booty

Other problems:

* License filed says LGPL, while the file lilo.py in the package is actually
labeled GPL in the header. (blocker)
* No copy of either GPL or LGPL is provided in tarball or is packaged.
* Use make %{?_smp_mflags} instead of make
* /usr/lib is hard-coded. Use a pref-defined rpm macro instead. (blocker)
* Change %defattr(-,root,root) to %defattr(-,root,root,-)
* Change buildroot to %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Validity of tarball couldn't be checked, as no upstream is mentioned either as
URL or Source URL. (blocker)
* We no longer have up2date, so its mention should be removed from description.


Comment 2 Robert Scheck 2009-01-13 22:18:10 UTC
Peter, can you please show up on this bug report? It's your package.
Removing you from assigned, as you're just the package owner, not the
package reviewer.

Comment 3 Susi Lehtola 2009-04-29 21:13:25 UTC
The package has been proclaimed dead, closing as NOTABUG.